<?php 
/**
* The template for displaying gallery post
*
* @package ThemeXL
* @subpackage page-speed-seo
* @since 1.0.0
* @version 1.0.0
*/

get_header(); ?>
<?php the_post(); ?>

<?php 

	$thumbStyle = "";
	if( has_post_thumbnail() ){
		$thumb = wp_get_attachment_url( get_post_thumbnail_id( get_the_ID() ) );
	} 

?>

	<section class="psseo-singel-post-img lazyload" <?php if( ! empty($thumb) ){ ?> data-bgset="<?php echo esc_url( $thumb ); ?>" <?php } ?> >
	    <div class="psseo-opacity">
	        <div class="container">
	            <div class="psseo-titel-meta">
	            	
	                <?php 
	                	$getTitle = get_the_title();
	                	if( ! empty($getTitle) ): 
	                ?>
	                
	                <div class="psseo-singel-post-title">
	                    <h1><?php the_title(); ?></h1>
	                </div>
	            	<?php endif; ?>

	                <div class="psseo-singel-post-meta">
	                    <span>
	                    	
	                    	<i class="glyphicon glyphicon-user" aria-hidden="true"></i> <?php the_author(); ?> 

	                    	<i class="glyphicon glyphicon-time" aria-hidden="true"></i> <?php echo get_the_date( 'M.d.Y' ); ?> 
	                    	
	                    	<i class="glyphicon glyphicon-star" aria-hidden="true"></i> <?php the_category( ', ' ); ?>

	                    	<i class="glyphicon glyphicon-comment" aria-hidden="true"></i><?php comments_number( '0', '1', '%' ); ?>

	                    </span>
	                </div>
	            </div>
	        </div>
	    </div>
	</section>

	<section class="psseo-singel-post-content">
	    <div class="container">
	        <div class="row">
	            <div class="col-md-12 col-sm-12 col-xs-12">
	                <div class="psseo-full-post-content clearfix">
	                    <?php 
	                    	the_content(); 
	                    	
	                    	$link_pages = page_speed_seo_link_pages();
	                    	
	                    	if( ! empty($link_pages) ){ ?>
	                    	<div class="col-md-12 col-sm-12 col-xs-12">
	                    		<div class="psseo-more">
                                    <ul class="psseo-pagination">
                                    	<?php echo $link_pages; ?>
                                    </ul>
                                </div>
                            </div>
	                    	<?php }
	                    ?>
	                </div>
	                <?php if( has_tag() ){ ?>
	                <div class="psseo-tags">
	                    <?php the_tags(); ?>
	                </div>
	                <?php } ?>
	                <div class="psseo-pagination-prev-next clearfix">
	                    <div class="psseo-prev">
	                    	<?php previous_post_link( $format = '%link', '<i class="glyphicon glyphicon-chevron-left" aria-hidden="true"></i>'.__( 'previous post', 'page-speed-seo' ) ); ?>
	                	</div>

	                	<div class="psseo-next">
	                		<?php next_post_link( $format = '%link', __( 'next post', 'page-speed-seo' ).'<i class="glyphicon glyphicon-chevron-right" aria-hidden="true"></i>' ); ?>
	                	</div>
	                </div>
	                <div class="psseo-about-author clearfix">
	                    <div class="psseo-author-img">
	                        <img src="<?php echo esc_url( get_avatar_url( get_the_author_meta( 'email' ) ) ); ?>" alt="<?php echo get_the_author_meta( 'display_name' ); ?>">
	                    </div>
	                    <div class="psseo-author">
	                        <div class="psseo-author-name">
	                            <h5><?php echo esc_html( get_the_author_meta( 'display_name' ) ); ?></h5>
	                        </div>
	                        <div class="psseo-author-bio">
	                            <p><?php echo esc_html( get_the_author_meta( 'description' ) ); ?></p>
	                        </div>
	                    </div>
	                </div>
	                
	                <?php comments_template( '', true ); ?>

	            </div>
	            
	        </div>
	    </div>
	</section>

<?php get_footer(); ?>