<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo('charset'); ?>">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="profile" href="http://gmpg.org/xfn/11">
        <?php if(is_singular() && pings_open( get_queried_object() )): ?>
            <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
        <?php endif; ?>
        
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
        <header class="psseo-header clearfix">
            <div class="container">
                <div class="row">
                    <div class="psseo-menu">
                        <!-- Top navigation -->
                        <nav class="nav-wrapper" id="top-nav">

                            <!-- Navigation container -->
                            <div class="container">
                                <!-- Navigation row -->
                                <div class="row">

                                    <!-- Navigation logo column -->
                                    <div class="col-sm-3 logo-col">
                                        <!-- logo -->
                                        <div class="navbar-brand vertical-align">

                                            <a id="home_url" href="<?php echo esc_url( home_url() ); ?>">
                                            <?php
                                            
                                                $custom_logo_id = get_theme_mod( 'custom_logo' );
                                                $logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );
                                                if ( has_custom_logo() ) {
                                                        echo '<img id="logo" src="'. esc_url( $logo[0] ) .'" alt="logo">';
                                                } else {
                                                        echo esc_html( bloginfo( 'blogname' ) );
                                                }

                                            ?>

                                            </a>

                                        </div>
                                        <!-- logo -->
                                    </div>
                                    <!-- End navigation logo column -->

                                    <!-- Navigation menu column -->
                                    <div class="col-sm-9 menu-col">
                                        <!-- Navigation menu -->
                                        <div class="top-menu">

                                            <ul class="nav navbar-nav pull-right">
                                                <?php 
                                                    $args = array(
                                                       'theme_location' => 'primary',
                                                       'container'      => false,
                                                       'items_wrap'     => '%3$s',
                                                       'walker'         => new page_speed_seo_navwalker()
                                                    );

                                                    if ( has_nav_menu('primary') ) {
                                                        wp_nav_menu($args);
                                                    }

                                                ?>
                                            </ul>

                                        </div>
                                        <!-- end navigation menu -->
                                    </div>
                                    <!-- end navigation menu column -->

                                </div>
                                <!-- end navigation row -->
                            </div>
                            <!-- end navigation container -->

                        </nav>
                        <!-- end top navigation -->

                    </div>
                </div>
            </div>
        </header>