<?php
/**
* The template for displaying tag page
*
* @package ThemeXL
* @subpackage page-speed-seo
* @since 1.0.0
* @version 1.0.0
*/

get_header(); ?>
<?php 
$getImg = get_header_image();
$headerImg = ! empty( $getImg ) ? $getImg : ""; ?>

    <!-- hero -->
    <section class="psseo-hero lazyload" <?php if( $headerImg != "" ){ ?> data-bgset="<?php echo esc_url( $headerImg ); ?>" <?php } ?>>
        <div class="container">
            <div class="psseo-hero-text">
                <h1><?php echo esc_html( single_tag_title( '', true ) ); ?></h1>
            </div>
        </div>
    </section>
    <!-- end hero -->
    
    <!-- blog posts & widget -->
    <section class="psseo-main">
        <div class="container">
<!--
    ==================================================================================================================================
                                                B L O G  P O S T S
    ==================================================================================================================================
     -->

        <div class="psseo-main-title">
            <h1><?php echo esc_html( single_cat_title( 'Tags: ', true ) ); ?></h1>
        </div>
        <div class="row">
            <div class="col-md-8 col-sm-12 col-xm-12">
                <div class="psseo-blog-posts">
                    <?php 
                        if(  have_posts() ):
                            while( have_posts() ):
                                the_post();
                    ?>
                    <div <?php post_class( 'psseo-blog-post clearfix' ); ?>>
                        <?php if( has_post_thumbnail() ): ?>
                        <div class="psseo-post-img">
                            <?php $postThumbnail = wp_get_attachment_url( get_post_thumbnail_id( get_the_ID() ) ); ?>
                            <img class="lazyload" data-src="<?php echo esc_url( $postThumbnail ); ?>" >
                            <div class="psseo-meta-data">
                                <span class="psseo-meta psseo-meta-cat"><a href="javascript:void(0);"><?php the_category( ', ' ); ?></a></span>
                                <span class="psseo-meta psseo-meta-user-date"><i class="glyphicon glyphicon-user" aria-hidden="true"></i> <a href="javascript:void(0);"><?php the_author(); ?></a> <i class="glyphicon glyphicon-time" aria-hidden="true"></i> <?php echo get_the_date( 'M.d.Y' ); ?></span>
                            </div>
                        </div>
                        <?php endif; ?>
                        <div class="psseo-post-content">
                            <div class="psseo-post-title">
                                <a href="<?php echo esc_url( get_the_permalink() ); ?>">
                                    <h2><?php the_title(); ?></h2>
                                </a>
                            </div>
                            <div class="psseo-post-exc">
                                <a href="<?php echo esc_url( get_the_permalink() ); ?>">
                                    <?php the_excerpt(); ?>
                                </a>
                            </div>
                        </div>
                    </div>

                    <?php endwhile; ?>

                    <?php else : echo '<div class="col-md-12"><h2>'.__( 'Sorry no posts found.', 'page-speed-seo' ).'</h2></div>'; ?>

                    <?php endif; ?>

                    <?php 

                    $current_page = ( get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1 );
                    $total_pages = $wp_query->max_num_pages;
                    $args = array(
                        'total'              => $total_pages,
                        'current'            => $current_page,
                        'show_all'           => false,
                        'end_size'           => 2,
                        'mid_size'           => 2,
                        'prev_next'          => true,
                        'prev_text'          => '<span aria-hidden="true">&laquo;</span><span class="sr-only">Previous</span>',
                        'next_text'          => '<span aria-hidden="true">&raquo;</span><span class="sr-only">Next</span>',
                        'type'               => 'array',
                    );
                    $paginate_links = paginate_links( $args );

                    ?>

                    <?php if( ! empty( $paginate_links ) ): ?>
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="psseo-more">
                            <ul class="psseo-pagination">
                                <?php echo page_speed_seo_paginate_links($paginate_links); ?>
                            </ul>
                        </div>
                    </div>
                    <?php endif; ?>

                    <?php wp_reset_postdata(); ?>
                </div>
            </div>
            <!-- end blog post -->
            <!-- widget -->
            <div class="col-md-4 col-sm-12 col-xs-12">
                <div class="row">
                    <?php get_sidebar(); ?>
                </div>
            </div>
            <!-- end widget -->
        </div>
    </div>
</section>
<!-- end blog posts & widget -->

<?php get_footer(); ?>